Several Vulnerabilities Found in GE Power Meter Software

The GE Communicator software is affected by several vulnerabilities, including the presence of hardcoded credentials and privilege escalation flaws, ICS-CERT revealed last week.

read more

Read more: Several Vulnerabilities Found in GE Power Meter Software

Story added 6. May 2019, content source with full text you can find at link above.